Opening the iTunes Store.If iTunes doesn't open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To buy and download Tank Ace 1944 by RESETgame, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

Tank Ace 1944

By RESETgame

Open iTunes to buy and download apps.


3D World War II Shooter

Do you like to drive tanks over rugged terrain, lob artillery shells into the far hills, and blow up lethal opponents lurking around every bend? If so, then Tank Ace 1944 is the game for you.

In Tank Ace 1944 you command a World War II tank charging to occupy the enemy capitol. Allied and Soviet Tank Aces advance on Berlin; German Aces advance on London and Moscow. At least that's what the orders from HQ say. But since you face overwhelming odds and are forced to scavenge supplies as you go, you might just find yourself retreating instead.

- Choose Allied, German, or Soviet Ace.
- 3 tanks: Sherman, Tiger, or T34.
- Movable turret and cannon.
- Summer and winter environments.
- Destroyable 3D landscape.
- 3D perspective or overhead view.
- 3 difficulty settings.
- Steal supplies from enemy trucks.
- Save / Resume game.
- Listen to your music as you play.


Tank Ace 1944 is developed by RESETgame .

What's New in Version 1.04

Various bug fixes and improvements


iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPad Screenshot 1
iPad Screenshot 2
iPad Screenshot 3
iPad Screenshot 4
Tank Ace 1944
View In iTunes
This app is designed for both iPhone and iPad
  • $0.99
  • Category: Games
  • Updated:
  • Version: 1.04
  • Size: 10.4 MB
  • Language: English
  • Seller:
Rated 9+ for the following:
  • Infrequent/Mild Cartoon or Fantasy Violence

Compatibility: Requires iOS 5.1.1 or later. Compatible with iPhone, iPad, and iPod touch.

Customer Ratings

0 0 0 We have not received enough ratings to display an average for the current version of this application.
All Versions: